MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031898Open CASCADE[OCCT] OCCT:Codingpublic2020-11-02 17:352020-12-02 17:13
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0031898: Coding Rules - extend Standard_WarningsDisable.hxx with -Wreorder
DescriptionSome third-party libraries might generate -Wreorder warnings on GCC, so that it is desired suppressing them.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029310closedbugmaster Coding - multiple compiler warnings in Inspectors 

-  Notes
(0096472)
git (administrator)
2020-11-02 17:36

Branch CR31898 has been created by kgv.

SHA-1: 0428e040fcb2ee20e68db7fc3e728255f6d80ca3


Detailed log of new commits:

Author: kgv
Date: Mon Nov 2 17:36:34 2020 +0300

    0031898: Coding Rules - extend Standard_WarningsDisable.hxx with -Wreorder
(0096473)
kgv (developer)
2020-11-02 19:14

Please raise the patch
- OCCT branch: CR31898.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31898-master-KGV/view/OCCT%20compile/ [^]
(0096541)
bugmaster (administrator)
2020-11-05 15:18

Combination -
OCCT branch : OCCT-750
master SHA - 628c0211d53c7fe1036a85e7a7b2b067c9c50f7a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750 SHA - 48305a454d5d743255f170cd9632fafa43e06f72
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17964.340000000077 / 17954.910000000087 [+0.05%]
Products
Total CPU difference: 12169.520000000111 / 12135.810000000094 [+0.28%]
Windows-64-VC14:
OCCT
Total CPU difference: 19723.125 / 19724.109375 [-0.00%]
Products
Total CPU difference: 13567.078125 / 13582.171875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096565)
git (administrator)
2020-11-05 15:59

Branch CR31898 has been deleted by inv.

SHA-1: 0428e040fcb2ee20e68db7fc3e728255f6d80ca3

- Related Changesets
occt: master dbecff5f
Timestamp: 2020-11-02 14:36:34
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031898: Coding Rules - extend Standard_WarningsDisable.hxx with -Wreorder
mod - src/Standard/Standard_WarningsDisable.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-11-02 17:35 kgv New Issue
2020-11-02 17:35 kgv Assigned To => kgv
2020-11-02 17:36 kgv Summary Coding Rules - extend Standard_WarningsDisable with -Wreorder => Coding Rules - extend Standard_WarningsDisable.hxx with -Wreorder
2020-11-02 17:36 git Note Added: 0096472
2020-11-02 17:37 kgv Relationship added child of 0029310
2020-11-02 19:14 kgv Note Added: 0096473
2020-11-02 19:14 kgv Assigned To kgv => bugmaster
2020-11-02 19:14 kgv Status new => resolved
2020-11-02 19:14 kgv Status resolved => reviewed
2020-11-05 15:18 bugmaster Note Added: 0096541
2020-11-05 15:18 bugmaster Status reviewed => tested
2020-11-05 15:19 bugmaster Test case number => Not required
2020-11-05 15:21 bugmaster Changeset attached => occt master dbecff5f
2020-11-05 15:21 bugmaster Status tested => verified
2020-11-05 15:21 bugmaster Resolution open => fixed
2020-11-05 15:59 git Note Added: 0096565
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker